Package org.lwjgl.opengl

# Class EXTDirectStateAccess

java.lang.Object
org.lwjgl.opengl.EXTDirectStateAccess

public final class EXTDirectStateAccess extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_PROGRAM_MATRIX_EXT`
Accepted by the <pname> parameter of GetBooleanIndexedvEXT, GetIntegerIndexedvEXT, GetFloatIndexedvEXT, GetDoubleIndexedvEXT: GetBooleani_v, GetIntegeri_v, GetFloati_vEXT, GetDoublei_vEXT:
`static final int`
`GL_PROGRAM_MATRIX_STACK_DEPTH_EXT`
Accepted by the <pname> parameter of GetBooleanIndexedvEXT, GetIntegerIndexedvEXT, GetFloatIndexedvEXT, GetDoubleIndexedvEXT: GetBooleani_v, GetIntegeri_v, GetFloati_vEXT, GetDoublei_vEXT:
`static final int`
`GL_TRANSPOSE_PROGRAM_MATRIX_EXT`
Accepted by the <pname> parameter of GetBooleanIndexedvEXT, GetIntegerIndexedvEXT, GetFloatIndexedvEXT, GetDoubleIndexedvEXT: GetBooleani_v, GetIntegeri_v, GetFloati_vEXT, GetDoublei_vEXT:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glBindMultiTextureEXT(int texunit, int target, int texture)`
`static int`
`glCheckNamedFramebufferStatusEXT(int framebuffer, int target)`
`static void`
`glClientAttribDefaultEXT(int mask)`
`static void`
`glCompressedMultiTexImage1DEXT(int texunit, int target, int level, int internalformat, int width, int border, int data_imageSize, long data_buffer_offset)`
`static void`
`glCompressedMultiTexImage1DEXT(int texunit, int target, int level, int internalformat, int width, int border, ByteBuffer data)`
`static void`
`glCompressedMultiTexImage2DEXT(int texunit, int target, int level, int internalformat, int width, int height, int border, int data_imageSize, long data_buffer_offset)`
`static void`
`glCompressedMultiTexImage2DEXT(int texunit, int target, int level, int internalformat, int width, int height, int border, ByteBuffer data)`
`static void`
`glCompressedMultiTexImage3DEXT(int texunit, int target, int level, int internalformat, int width, int height, int depth, int border, int data_imageSize, long data_buffer_offset)`
`static void`
`glCompressedMultiTexImage3DEXT(int texunit, int target, int level, int internalformat, int width, int height, int depth, int border, ByteBuffer data)`
`static void`
`glCompressedMultiTexSubImage1DEXT(int texunit, int target, int level, int xoffset, int width, int format, int data_imageSize, long data_buffer_offset)`
`static void`
`glCompressedMultiTexSubImage1DEXT(int texunit, int target, int level, int xoffset, int width, int format, ByteBuffer data)`
`static void`
`glCompressedMultiTexSubImage2DEXT(int texunit, int target, int level, int xoffset, int yoffset, int width, int height, int format, int data_imageSize, long data_buffer_offset)`
`static void`
`glCompressedMultiTexSubImage2DEXT(int texunit, int target, int level, int xoffset, int yoffset, int width, int height, int format, ByteBuffer data)`
`static void`
`glCompressedMultiTexSubImage3DEXT(int texunit, int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int data_imageSize, long data_buffer_offset)`
`static void`
`glCompressedMultiTexSubImage3DEXT(int texunit, int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, ByteBuffer data)`
`static void`
`glCompressedTextureImage1DEXT(int texture, int target, int level, int internalformat, int width, int border, int data_imageSize, long data_buffer_offset)`
`static void`
`glCompressedTextureImage1DEXT(int texture, int target, int level, int internalformat, int width, int border, ByteBuffer data)`
`static void`
`glCompressedTextureImage2DEXT(int texture, int target, int level, int internalformat, int width, int height, int border, int data_imageSize, long data_buffer_offset)`
`static void`
`glCompressedTextureImage2DEXT(int texture, int target, int level, int internalformat, int width, int height, int border, ByteBuffer data)`
`static void`
`glCompressedTextureImage3DEXT(int texture, int target, int level, int internalformat, int width, int height, int depth, int border, int data_imageSize, long data_buffer_offset)`
`static void`
`glCompressedTextureImage3DEXT(int texture, int target, int level, int internalformat, int width, int height, int depth, int border, ByteBuffer data)`
`static void`
`glCompressedTextureSubImage1DEXT(int texture, int target, int level, int xoffset, int width, int format, int data_imageSize, long data_buffer_offset)`
`static void`
`glCompressedTextureSubImage1DEXT(int texture, int target, int level, int xoffset, int width, int format, ByteBuffer data)`
`static void`
`glCompressedTextureSubImage2DEXT(int texture, int target, int level, int xoffset, int yoffset, int width, int height, int format, int data_imageSize, long data_buffer_offset)`
`static void`
`glCompressedTextureSubImage2DEXT(int texture, int target, int level, int xoffset, int yoffset, int width, int height, int format, ByteBuffer data)`
`static void`
`glCompressedTextureSubImage3DEXT(int texture, int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int data_imageSize, long data_buffer_offset)`
`static void`
`glCompressedTextureSubImage3DEXT(int texture, int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, ByteBuffer data)`
`static void`
`glCopyMultiTexImage1DEXT(int texunit, int target, int level, int internalformat, int x, int y, int width, int border)`
`static void`
`glCopyMultiTexImage2DEXT(int texunit, int target, int level, int internalformat, int x, int y, int width, int height, int border)`
`static void`
`glCopyMultiTexSubImage1DEXT(int texunit, int target, int level, int xoffset, int x, int y, int width)`
`static void`
`glCopyMultiTexSubImage2DEXT(int texunit, int target, int level, int xoffset, int yoffset, int x, int y, int width, int height)`
`static void`
`glCopyMultiTexSubImage3DEXT(int texunit, int target, int level, int xoffset, int yoffset, int zoffset, int x, int y, int width, int height)`
`static void`
`glCopyTextureImage1DEXT(int texture, int target, int level, int internalformat, int x, int y, int width, int border)`
`static void`
`glCopyTextureImage2DEXT(int texture, int target, int level, int internalformat, int x, int y, int width, int height, int border)`
`static void`
`glCopyTextureSubImage1DEXT(int texture, int target, int level, int xoffset, int x, int y, int width)`
`static void`
`glCopyTextureSubImage2DEXT(int texture, int target, int level, int xoffset, int yoffset, int x, int y, int width, int height)`
`static void`
`glCopyTextureSubImage3DEXT(int texture, int target, int level, int xoffset, int yoffset, int zoffset, int x, int y, int width, int height)`
`static void`
`glDisableClientStateiEXT(int array, int index)`
`static void`
`glDisableClientStateIndexedEXT(int array, int index)`
`static void`
`glDisableIndexedEXT(int cap, int index)`
`static void`
`glDisableVertexArrayAttribEXT(int vaobj, int index)`
`static void`
`glDisableVertexArrayEXT(int vaobj, int array)`
`static void`
`glEnableClientStateiEXT(int array, int index)`
`static void`
`glEnableClientStateIndexedEXT(int array, int index)`
`static void`
`glEnableIndexedEXT(int cap, int index)`
`static void`
`glEnableVertexArrayAttribEXT(int vaobj, int index)`
`static void`
`glEnableVertexArrayEXT(int vaobj, int array)`
`static void`
`glFlushMappedNamedBufferRangeEXT(int buffer, long offset, long length)`
`static void`
`glFramebufferDrawBufferEXT(int framebuffer, int mode)`
`static void`
`glFramebufferDrawBuffersEXT(int framebuffer, IntBuffer bufs)`
`static void`
`glFramebufferReadBufferEXT(int framebuffer, int mode)`
`static void`
`glGenerateMultiTexMipmapEXT(int texunit, int target)`
`static void`
`glGenerateTextureMipmapEXT(int texture, int target)`
`static boolean`
`glGetBooleanIndexedEXT(int pname, int index)`
Overloads glGetBooleanIndexedvEXT.
`static void`
`glGetBooleanIndexedEXT(int pname, int index, ByteBuffer params)`
`static void`
`glGetCompressedMultiTexImageEXT(int texunit, int target, int level, long img_buffer_offset)`
`static void`
`glGetCompressedMultiTexImageEXT(int texunit, int target, int level, ByteBuffer img)`
`static void`
`glGetCompressedMultiTexImageEXT(int texunit, int target, int level, IntBuffer img)`
`static void`
`glGetCompressedMultiTexImageEXT(int texunit, int target, int level, ShortBuffer img)`
`static void`
`glGetCompressedTextureImageEXT(int texture, int target, int level, long img_buffer_offset)`
`static void`
`glGetCompressedTextureImageEXT(int texture, int target, int level, ByteBuffer img)`
`static void`
`glGetCompressedTextureImageEXT(int texture, int target, int level, IntBuffer img)`
`static void`
`glGetCompressedTextureImageEXT(int texture, int target, int level, ShortBuffer img)`
`static double`
`glGetDoubleEXT(int pname, int index)`
Overloads glGetDoublei_vEXT.
`static void`
`glGetDoubleEXT(int pname, int index, DoubleBuffer params)`
`static double`
`glGetDoubleIndexedEXT(int pname, int index)`
Overloads glGetDoubleIndexedvEXT.
`static void`
`glGetDoubleIndexedEXT(int pname, int index, DoubleBuffer params)`
`static float`
`glGetFloatEXT(int pname, int index)`
Overloads glGetFloati_vEXT.
`static void`
`glGetFloatEXT(int pname, int index, FloatBuffer params)`
`static float`
`glGetFloatIndexedEXT(int pname, int index)`
Overloads glGetFloatIndexedvEXT.
`static void`
`glGetFloatIndexedEXT(int pname, int index, FloatBuffer params)`
`static int`
`glGetFramebufferParameterEXT(int framebuffer, int pname)`
Overloads glGetFramebufferParameterivEXT.
`static void`
`glGetFramebufferParameterEXT(int framebuffer, int pname, IntBuffer param)`
`static int`
`glGetIntegerIndexedEXT(int pname, int index)`
Overloads glGetIntegerIndexedvEXT.
`static void`
`glGetIntegerIndexedEXT(int pname, int index, IntBuffer params)`
`static void`
`glGetMultiTexEnvEXT(int texunit, int target, int pname, FloatBuffer params)`
`static void`
`glGetMultiTexEnvEXT(int texunit, int target, int pname, IntBuffer params)`
`static void`
`glGetMultiTexGenEXT(int texunit, int coord, int pname, DoubleBuffer params)`
`static void`
`glGetMultiTexGenEXT(int texunit, int coord, int pname, FloatBuffer params)`
`static void`
`glGetMultiTexGenEXT(int texunit, int coord, int pname, IntBuffer params)`
`static void`
`glGetMultiTexImageEXT(int texunit, int target, int level, int format, int type, long pixels_buffer_offset)`
`static void`
`glGetMultiTexImageEXT(int texunit, int target, int level, int format, int type, ByteBuffer pixels)`
`static void`
`glGetMultiTexImageEXT(int texunit, int target, int level, int format, int type, DoubleBuffer pixels)`
`static void`
`glGetMultiTexImageEXT(int texunit, int target, int level, int format, int type, FloatBuffer pixels)`
`static void`
`glGetMultiTexImageEXT(int texunit, int target, int level, int format, int type, IntBuffer pixels)`
`static void`
`glGetMultiTexImageEXT(int texunit, int target, int level, int format, int type, ShortBuffer pixels)`
`static void`
`glGetMultiTexLevelParameterEXT(int texunit, int target, int level, int pname, FloatBuffer params)`
`static void`
`glGetMultiTexLevelParameterEXT(int texunit, int target, int level, int pname, IntBuffer params)`
`static float`
`glGetMultiTexLevelParameterfEXT(int texunit, int target, int level, int pname)`
Overloads glGetMultiTexLevelParameterfvEXT.
`static int`
`glGetMultiTexLevelParameteriEXT(int texunit, int target, int level, int pname)`
Overloads glGetMultiTexLevelParameterivEXT.
`static void`
`glGetMultiTexParameterEXT(int texunit, int target, int pname, FloatBuffer params)`
`static void`
`glGetMultiTexParameterEXT(int texunit, int target, int pname, IntBuffer params)`
`static float`
`glGetMultiTexParameterfEXT(int texunit, int target, int pname)`
Overloads glGetMultiTexParameterfvEXT.
`static int`
`glGetMultiTexParameteriEXT(int texunit, int target, int pname)`
Overloads glGetMultiTexParameterivEXT.
`static void`
`glGetMultiTexParameterIEXT(int texunit, int target, int pname, IntBuffer params)`
`static int`
`glGetMultiTexParameterIiEXT(int texunit, int target, int pname)`
Overloads glGetMultiTexParameterIivEXT.
`static void`
`glGetMultiTexParameterIuEXT(int texunit, int target, int pname, IntBuffer params)`
`static int`
`glGetMultiTexParameterIuiEXT(int texunit, int target, int pname)`
Overloads glGetMultiTexParameterIuivEXT.
`static int`
`glGetNamedBufferParameterEXT(int buffer, int pname)`
Overloads glGetNamedBufferParameterivEXT.
`static void`
`glGetNamedBufferParameterEXT(int buffer, int pname, IntBuffer params)`
`static ByteBuffer`
`glGetNamedBufferPointerEXT(int buffer, int pname)`
`static void`
`glGetNamedBufferSubDataEXT(int buffer, long offset, ByteBuffer data)`
`static void`
`glGetNamedBufferSubDataEXT(int buffer, long offset, DoubleBuffer data)`
`static void`
`glGetNamedBufferSubDataEXT(int buffer, long offset, FloatBuffer data)`
`static void`
`glGetNamedBufferSubDataEXT(int buffer, long offset, IntBuffer data)`
`static void`
`glGetNamedBufferSubDataEXT(int buffer, long offset, ShortBuffer data)`
`static int`
`glGetNamedFramebufferAttachmentParameterEXT(int framebuffer, int attachment, int pname)`
Overloads glGetNamedFramebufferAttachmentParameterivEXT.
`static void`
`glGetNamedFramebufferAttachmentParameterEXT(int framebuffer, int attachment, int pname, IntBuffer params)`
`static int`
`glGetNamedProgramEXT(int program, int target, int pname)`
Overloads glGetNamedProgramivEXT.
`static void`
`glGetNamedProgramEXT(int program, int target, int pname, IntBuffer params)`
`static void`
`glGetNamedProgramLocalParameterEXT(int program, int target, int index, DoubleBuffer params)`
`static void`
`glGetNamedProgramLocalParameterEXT(int program, int target, int index, FloatBuffer params)`
`static void`
`glGetNamedProgramLocalParameterIEXT(int program, int target, int index, IntBuffer params)`
`static void`
`glGetNamedProgramLocalParameterIuEXT(int program, int target, int index, IntBuffer params)`
`static String`
`glGetNamedProgramStringEXT(int program, int target, int pname)`
Overloads glGetNamedProgramStringEXT.
`static void`
`glGetNamedProgramStringEXT(int program, int target, int pname, ByteBuffer string)`
`static int`
`glGetNamedRenderbufferParameterEXT(int renderbuffer, int pname)`
Overloads glGetNamedRenderbufferParameterivEXT.
`static void`
`glGetNamedRenderbufferParameterEXT(int renderbuffer, int pname, IntBuffer params)`
`static ByteBuffer`
`glGetPointerEXT(int pname, int index, long result_size)`
`static ByteBuffer`
`glGetPointerIndexedEXT(int pname, int index, long result_size)`
`static void`
`glGetTextureImageEXT(int texture, int target, int level, int format, int type, long pixels_buffer_offset)`
`static void`
`glGetTextureImageEXT(int texture, int target, int level, int format, int type, ByteBuffer pixels)`
`static void`
`glGetTextureImageEXT(int texture, int target, int level, int format, int type, DoubleBuffer pixels)`
`static void`
`glGetTextureImageEXT(int texture, int target, int level, int format, int type, FloatBuffer pixels)`
`static void`
`glGetTextureImageEXT(int texture, int target, int level, int format, int type, IntBuffer pixels)`
`static void`
`glGetTextureImageEXT(int texture, int target, int level, int format, int type, ShortBuffer pixels)`
`static void`
`glGetTextureLevelParameterEXT(int texture, int target, int level, int pname, FloatBuffer params)`
`static void`
`glGetTextureLevelParameterEXT(int texture, int target, int level, int pname, IntBuffer params)`
`static float`
`glGetTextureLevelParameterfEXT(int texture, int target, int level, int pname)`
Overloads glGetTextureLevelParameterfvEXT.
`static int`
`glGetTextureLevelParameteriEXT(int texture, int target, int level, int pname)`
Overloads glGetTextureLevelParameterivEXT.
`static void`
`glGetTextureParameterEXT(int texture, int target, int pname, FloatBuffer params)`
`static void`
`glGetTextureParameterEXT(int texture, int target, int pname, IntBuffer params)`
`static float`
`glGetTextureParameterfEXT(int texture, int target, int pname)`
Overloads glGetTextureParameterfvEXT.
`static int`
`glGetTextureParameteriEXT(int texture, int target, int pname)`
Overloads glGetTextureParameterivEXT.
`static void`
`glGetTextureParameterIEXT(int texture, int target, int pname, IntBuffer params)`
`static int`
`glGetTextureParameterIiEXT(int texture, int target, int pname)`
Overloads glGetTextureParameterIivEXT.
`static void`
`glGetTextureParameterIuEXT(int texture, int target, int pname, IntBuffer params)`
`static int`
`glGetTextureParameterIuiEXT(int texture, int target, int pname)`
Overloads glGetTextureParameterIuivEXT.
`static int`
`glGetVertexArrayIntegerEXT(int vaobj, int pname)`
Overloads glGetVertexArrayIntegervEXT.
`static void`
`glGetVertexArrayIntegerEXT(int vaobj, int index, int pname, IntBuffer param)`
`static void`
`glGetVertexArrayIntegerEXT(int vaobj, int pname, IntBuffer param)`
`static int`
`glGetVertexArrayIntegeriEXT(int vaobj, int index, int pname)`
Overloads glGetVertexArrayIntegeri_vEXT.
`static ByteBuffer`
`glGetVertexArrayPointerEXT(int vaobj, int index, int pname, long result_size)`
`static ByteBuffer`
`glGetVertexArrayPointerEXT(int vaobj, int pname, long result_size)`
`static boolean`
`glIsEnabledIndexedEXT(int cap, int index)`
`static ByteBuffer`
`glMapNamedBufferEXT(int buffer, int access, long length, ByteBuffer old_buffer)`
glMapNamedBufferEXT maps a GL buffer object to a ByteBuffer.
`static ByteBuffer`
`glMapNamedBufferEXT(int buffer, int access, ByteBuffer old_buffer)`
glMapNamedBufferEXT maps a GL buffer object to a ByteBuffer.
`static ByteBuffer`
`glMapNamedBufferRangeEXT(int buffer, long offset, long length, int access, ByteBuffer old_buffer)`
glMapNamedBufferRangeEXT maps a GL buffer object range to a ByteBuffer.
`static void`
`glMatrixFrustumEXT(int matrixMode, double l, double r, double b, double t, double n, double f)`
`static void`
`glMatrixLoadEXT(int matrixMode, DoubleBuffer m)`
`static void`
`glMatrixLoadEXT(int matrixMode, FloatBuffer m)`
`static void`
`glMatrixLoadIdentityEXT(int matrixMode)`
`static void`
`glMatrixLoadTransposeEXT(int matrixMode, DoubleBuffer m)`
`static void`
`glMatrixLoadTransposeEXT(int matrixMode, FloatBuffer m)`
`static void`
`glMatrixMultEXT(int matrixMode, DoubleBuffer m)`
`static void`
`glMatrixMultEXT(int matrixMode, FloatBuffer m)`
`static void`
`glMatrixMultTransposeEXT(int matrixMode, DoubleBuffer m)`
`static void`
`glMatrixMultTransposeEXT(int matrixMode, FloatBuffer m)`
`static void`
`glMatrixOrthoEXT(int matrixMode, double l, double r, double b, double t, double n, double f)`
`static void`
`glMatrixPopEXT(int matrixMode)`
`static void`
`glMatrixPushEXT(int matrixMode)`
`static void`
`glMatrixRotatedEXT(int matrixMode, double angle, double x, double y, double z)`
`static void`
`glMatrixRotatefEXT(int matrixMode, float angle, float x, float y, float z)`
`static void`
`glMatrixScaledEXT(int matrixMode, double x, double y, double z)`
`static void`
`glMatrixScalefEXT(int matrixMode, float x, float y, float z)`
`static void`
`glMatrixTranslatedEXT(int matrixMode, double x, double y, double z)`
`static void`
`glMatrixTranslatefEXT(int matrixMode, float x, float y, float z)`
`static void`
`glMultiTexBufferEXT(int texunit, int target, int internalformat, int buffer)`
`static void`
`glMultiTexCoordPointerEXT(int texunit, int size, int type, int stride, long pointer_buffer_offset)`
`static void`
`glMultiTexCoordPointerEXT(int texunit, int size, int stride, DoubleBuffer pointer)`
`static void`
`glMultiTexCoordPointerEXT(int texunit, int size, int stride, FloatBuffer pointer)`
`static void`
`glMultiTexEnvEXT(int texunit, int target, int pname, FloatBuffer params)`
`static void`
`glMultiTexEnvEXT(int texunit, int target, int pname, IntBuffer params)`
`static void`
`glMultiTexEnvfEXT(int texunit, int target, int pname, float param)`
`static void`
`glMultiTexEnviEXT(int texunit, int target, int pname, int param)`
`static void`
`glMultiTexGendEXT(int texunit, int coord, int pname, double param)`
`static void`
`glMultiTexGenEXT(int texunit, int coord, int pname, DoubleBuffer params)`
`static void`
`glMultiTexGenEXT(int texunit, int coord, int pname, FloatBuffer params)`
`static void`
`glMultiTexGenEXT(int texunit, int coord, int pname, IntBuffer params)`
`static void`
`glMultiTexGenfEXT(int texunit, int coord, int pname, float param)`
`static void`
`glMultiTexGeniEXT(int texunit, int coord, int pname, int param)`
`static void`
`glMultiTexImage1DEXT(int texunit, int target, int level, int internalformat, int width, int border, int format, int type, long pixels_buffer_offset)`
`static void`
`glMultiTexImage1DEXT(int texunit, int target, int level, int internalformat, int width, int border, int format, int type, ByteBuffer pixels)`
`static void`
`glMultiTexImage1DEXT(int texunit, int target, int level, int internalformat, int width, int border, int format, int type, DoubleBuffer pixels)`
`static void`
`glMultiTexImage1DEXT(int texunit, int target, int level, int internalformat, int width, int border, int format, int type, FloatBuffer pixels)`
`static void`
`glMultiTexImage1DEXT(int texunit, int target, int level, int internalformat, int width, int border, int format, int type, IntBuffer pixels)`
`static void`
`glMultiTexImage1DEXT(int texunit, int target, int level, int internalformat, int width, int border, int format, int type, ShortBuffer pixels)`
`static void`
`glMultiTexImage2DEXT(int texunit, int target, int level, int internalformat, int width, int height, int border, int format, int type, long pixels_buffer_offset)`
`static void`
`glMultiTexImage2DEXT(int texunit, int target, int level, int internalformat, int width, int height, int border, int format, int type, ByteBuffer pixels)`
`static void`
`glMultiTexImage2DEXT(int texunit, int target, int level, int internalformat, int width, int height, int border, int format, int type, DoubleBuffer pixels)`
`static void`
`glMultiTexImage2DEXT(int texunit, int target, int level, int internalformat, int width, int height, int border, int format, int type, FloatBuffer pixels)`
`static void`
`glMultiTexImage2DEXT(int texunit, int target, int level, int internalformat, int width, int height, int border, int format, int type, IntBuffer pixels)`
`static void`
`glMultiTexImage2DEXT(int texunit, int target, int level, int internalformat, int width, int height, int border, int format, int type, ShortBuffer pixels)`
`static void`
`glMultiTexImage3DEXT(int texunit, int target, int level, int internalformat, int width, int height, int depth, int border, int format, int type, long pixels_buffer_offset)`
`static void`
`glMultiTexImage3DEXT(int texunit, int target, int level, int internalformat, int width, int height, int depth, int border, int format, int type, ByteBuffer pixels)`
`static void`
`glMultiTexImage3DEXT(int texunit, int target, int level, int internalformat, int width, int height, int depth, int border, int format, int type, DoubleBuffer pixels)`
`static void`
`glMultiTexImage3DEXT(int texunit, int target, int level, int internalformat, int width, int height, int depth, int border, int format, int type, FloatBuffer pixels)`
`static void`
`glMultiTexImage3DEXT(int texunit, int target, int level, int internalformat, int width, int height, int depth, int border, int format, int type, IntBuffer pixels)`
`static void`
`glMultiTexImage3DEXT(int texunit, int target, int level, int internalformat, int width, int height, int depth, int border, int format, int type, ShortBuffer pixels)`
`static void`
`glMultiTexParameterEXT(int texunit, int target, int pname, FloatBuffer param)`
`static void`
`glMultiTexParameterEXT(int texunit, int target, int pname, IntBuffer param)`
`static void`
`glMultiTexParameterfEXT(int texunit, int target, int pname, float param)`
`static void`
`glMultiTexParameteriEXT(int texunit, int target, int pname, int param)`
`static void`
`glMultiTexParameterIEXT(int texunit, int target, int pname, int param)`
Overloads glMultiTexParameterIivEXT.
`static void`
`glMultiTexParameterIEXT(int texunit, int target, int pname, IntBuffer params)`
`static void`
`glMultiTexParameterIuEXT(int texunit, int target, int pname, int param)`
Overloads glMultiTexParameterIuivEXT.
`static void`
`glMultiTexParameterIuEXT(int texunit, int target, int pname, IntBuffer params)`
`static void`
`glMultiTexRenderbufferEXT(int texunit, int target, int renderbuffer)`
`static void`
`glMultiTexSubImage1DEXT(int texunit, int target, int level, int xoffset, int width, int format, int type, long pixels_buffer_offset)`
`static void`
`glMultiTexSubImage1DEXT(int texunit, int target, int level, int xoffset, int width, int format, int type, ByteBuffer pixels)`
`static void`
`glMultiTexSubImage1DEXT(int texunit, int target, int level, int xoffset, int width, int format, int type, DoubleBuffer pixels)`
`static void`
`glMultiTexSubImage1DEXT(int texunit, int target, int level, int xoffset, int width, int format, int type, FloatBuffer pixels)`
`static void`
`glMultiTexSubImage1DEXT(int texunit, int target, int level, int xoffset, int width, int format, int type, IntBuffer pixels)`
`static void`
`glMultiTexSubImage1DEXT(int texunit, int target, int level, int xoffset, int width, int format, int type, ShortBuffer pixels)`
`static void`
`glMultiTexSubImage2DEXT(int texunit, int target, int level, int xoffset, int yoffset, int width, int height, int format, int type, long pixels_buffer_offset)`
`static void`
`glMultiTexSubImage2DEXT(int texunit, int target, int level, int xoffset, int yoffset, int width, int height, int format, int type, ByteBuffer pixels)`
`static void`
`glMultiTexSubImage2DEXT(int texunit, int target, int level, int xoffset, int yoffset, int width, int height, int format, int type, DoubleBuffer pixels)`
`static void`
`glMultiTexSubImage2DEXT(int texunit, int target, int level, int xoffset, int yoffset, int width, int height, int format, int type, FloatBuffer pixels)`
`static void`
`glMultiTexSubImage2DEXT(int texunit, int target, int level, int xoffset, int yoffset, int width, int height, int format, int type, IntBuffer pixels)`
`static void`
`glMultiTexSubImage2DEXT(int texunit, int target, int level, int xoffset, int yoffset, int width, int height, int format, int type, ShortBuffer pixels)`
`static void`
`glMultiTexSubImage3DEXT(int texunit, int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, long pixels_buffer_offset)`
`static void`
`glMultiTexSubImage3DEXT(int texunit, int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, ByteBuffer pixels)`
`static void`
`glMultiTexSubImage3DEXT(int texunit, int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, DoubleBuffer pixels)`
`static void`
`glMultiTexSubImage3DEXT(int texunit, int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, FloatBuffer pixels)`
`static void`
`glMultiTexSubImage3DEXT(int texunit, int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, IntBuffer pixels)`
`static void`
`glMultiTexSubImage3DEXT(int texunit, int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, ShortBuffer pixels)`
`static void`
`glNamedBufferDataEXT(int buffer, long data_size, int usage)`
`static void`
`glNamedBufferDataEXT(int buffer, ByteBuffer data, int usage)`
`static void`
`glNamedBufferDataEXT(int buffer, DoubleBuffer data, int usage)`
`static void`
`glNamedBufferDataEXT(int buffer, FloatBuffer data, int usage)`
`static void`
`glNamedBufferDataEXT(int buffer, IntBuffer data, int usage)`
`static void`
`glNamedBufferDataEXT(int buffer, ShortBuffer data, int usage)`
`static void`
`glNamedBufferSubDataEXT(int buffer, long offset, ByteBuffer data)`
`static void`
`glNamedBufferSubDataEXT(int buffer, long offset, DoubleBuffer data)`
`static void`
`glNamedBufferSubDataEXT(int buffer, long offset, FloatBuffer data)`
`static void`
`glNamedBufferSubDataEXT(int buffer, long offset, IntBuffer data)`
`static void`
`glNamedBufferSubDataEXT(int buffer, long offset, ShortBuffer data)`
`static void`
`glNamedCopyBufferSubDataEXT(int readBuffer, int writeBuffer, long readoffset, long writeoffset, long size)`
`static void`
`glNamedFramebufferRenderbufferEXT(int framebuffer, int attachment, int renderbuffertarget, int renderbuffer)`
`static void`
`glNamedFramebufferTexture1DEXT(int framebuffer, int attachment, int textarget, int texture, int level)`
`static void`
`glNamedFramebufferTexture2DEXT(int framebuffer, int attachment, int textarget, int texture, int level)`
`static void`
`glNamedFramebufferTexture3DEXT(int framebuffer, int attachment, int textarget, int texture, int level, int zoffset)`
`static void`
`glNamedFramebufferTextureEXT(int framebuffer, int attachment, int texture, int level)`
`static void`
`glNamedFramebufferTextureFaceEXT(int framebuffer, int attachment, int texture, int level, int face)`
`static void`
`glNamedFramebufferTextureLayerEXT(int framebuffer, int attachment, int texture, int level, int layer)`
`static void`
`glNamedProgramLocalParameter4dEXT(int program, int target, int index, double x, double y, double z, double w)`
`static void`
`glNamedProgramLocalParameter4EXT(int program, int target, int index, DoubleBuffer params)`
`static void`
`glNamedProgramLocalParameter4EXT(int program, int target, int index, FloatBuffer params)`
`static void`
`glNamedProgramLocalParameter4fEXT(int program, int target, int index, float x, float y, float z, float w)`
`static void`
`glNamedProgramLocalParameterI4EXT(int program, int target, int index, IntBuffer params)`
`static void`
`glNamedProgramLocalParameterI4iEXT(int program, int target, int index, int x, int y, int z, int w)`
`static void`
`glNamedProgramLocalParameterI4uEXT(int program, int target, int index, IntBuffer params)`
`static void`
`glNamedProgramLocalParameterI4uiEXT(int program, int target, int index, int x, int y, int z, int w)`
`static void`
`glNamedProgramLocalParameters4EXT(int program, int target, int index, FloatBuffer params)`
`static void`
`glNamedProgramLocalParametersI4EXT(int program, int target, int index, IntBuffer params)`
`static void`
`glNamedProgramLocalParametersI4uEXT(int program, int target, int index, IntBuffer params)`
`static void`
`glNamedProgramStringEXT(int program, int target, int format, CharSequence string)`
Overloads glNamedProgramStringEXT.
`static void`
`glNamedProgramStringEXT(int program, int target, int format, ByteBuffer string)`
`static void`
`glNamedRenderbufferStorageEXT(int renderbuffer, int internalformat, int width, int height)`
`static void`
`glNamedRenderbufferStorageMultisampleCoverageEXT(int renderbuffer, int coverageSamples, int colorSamples, int internalformat, int width, int height)`
`static void`
`glNamedRenderbufferStorageMultisampleEXT(int renderbuffer, int samples, int internalformat, int width, int height)`
`static void`
`glProgramUniform1EXT(int program, int location, FloatBuffer value)`
`static void`
`glProgramUniform1EXT(int program, int location, IntBuffer value)`
`static void`
`glProgramUniform1fEXT(int program, int location, float v0)`
`static void`
`glProgramUniform1iEXT(int program, int location, int v0)`
`static void`
`glProgramUniform1uEXT(int program, int location, IntBuffer value)`
`static void`
`glProgramUniform1uiEXT(int program, int location, int v0)`
`static void`
`glProgramUniform2EXT(int program, int location, FloatBuffer value)`
`static void`
`glProgramUniform2EXT(int program, int location, IntBuffer value)`
`static void`
`glProgramUniform2fEXT(int program, int location, float v0, float v1)`
`static void`
`glProgramUniform2iEXT(int program, int location, int v0, int v1)`
`static void`
`glProgramUniform2uEXT(int program, int location, IntBuffer value)`
`static void`
`glProgramUniform2uiEXT(int program, int location, int v0, int v1)`
`static void`
`glProgramUniform3EXT(int program, int location, FloatBuffer value)`
`static void`
`glProgramUniform3EXT(int program, int location, IntBuffer value)`
`static void`
`glProgramUniform3fEXT(int program, int location, float v0, float v1, float v2)`
`static void`
`glProgramUniform3iEXT(int program, int location, int v0, int v1, int v2)`
`static void`
`glProgramUniform3uEXT(int program, int location, IntBuffer value)`
`static void`
`glProgramUniform3uiEXT(int program, int location, int v0, int v1, int v2)`
`static void`
`glProgramUniform4EXT(int program, int location, FloatBuffer value)`
`static void`
`glProgramUniform4EXT(int program, int location, IntBuffer value)`
`static void`
`glProgramUniform4fEXT(int program, int location, float v0, float v1, float v2, float v3)`
`static void`
`glProgramUniform4iEXT(int program, int location, int v0, int v1, int v2, int v3)`
`static void`
`glProgramUniform4uEXT(int program, int location, IntBuffer value)`
`static void`
`glProgramUniform4uiEXT(int program, int location, int v0, int v1, int v2, int v3)`
`static void`
`glProgramUniformMatrix2EXT(int program, int location, boolean transpose, FloatBuffer value)`
`static void`
`glProgramUniformMatrix2x3EXT(int program, int location, boolean transpose, FloatBuffer value)`
`static void`
`glProgramUniformMatrix2x4EXT(int program, int location, boolean transpose, FloatBuffer value)`
`static void`
`glProgramUniformMatrix3EXT(int program, int location, boolean transpose, FloatBuffer value)`
`static void`
`glProgramUniformMatrix3x2EXT(int program, int location, boolean transpose, FloatBuffer value)`
`static void`
`glProgramUniformMatrix3x4EXT(int program, int location, boolean transpose, FloatBuffer value)`
`static void`
`glProgramUniformMatrix4EXT(int program, int location, boolean transpose, FloatBuffer value)`
`static void`
`glProgramUniformMatrix4x2EXT(int program, int location, boolean transpose, FloatBuffer value)`
`static void`
`glProgramUniformMatrix4x3EXT(int program, int location, boolean transpose, FloatBuffer value)`
`static void`
`glPushClientAttribDefaultEXT(int mask)`
`static void`
`glTextureBufferEXT(int texture, int target, int internalformat, int buffer)`
`static void`
`glTextureImage1DEXT(int texture, int target, int level, int internalformat, int width, int border, int format, int type, long pixels_buffer_offset)`
`static void`
`glTextureImage1DEXT(int texture, int target, int level, int internalformat, int width, int border, int format, int type, ByteBuffer pixels)`
`static void`
`glTextureImage1DEXT(int texture, int target, int level, int internalformat, int width, int border, int format, int type, DoubleBuffer pixels)`
`static void`
`glTextureImage1DEXT(int texture, int target, int level, int internalformat, int width, int border, int format, int type, FloatBuffer pixels)`
`static void`
`glTextureImage1DEXT(int texture, int target, int level, int internalformat, int width, int border, int format, int type, IntBuffer pixels)`
`static void`
`glTextureImage1DEXT(int texture, int target, int level, int internalformat, int width, int border, int format, int type, ShortBuffer pixels)`
`static void`
`glTextureImage2DEXT(int texture, int target, int level, int internalformat, int width, int height, int border, int format, int type, long pixels_buffer_offset)`
`static void`
`glTextureImage2DEXT(int texture, int target, int level, int internalformat, int width, int height, int border, int format, int type, ByteBuffer pixels)`
`static void`
`glTextureImage2DEXT(int texture, int target, int level, int internalformat, int width, int height, int border, int format, int type, DoubleBuffer pixels)`
`static void`
`glTextureImage2DEXT(int texture, int target, int level, int internalformat, int width, int height, int border, int format, int type, FloatBuffer pixels)`
`static void`
`glTextureImage2DEXT(int texture, int target, int level, int internalformat, int width, int height, int border, int format, int type, IntBuffer pixels)`
`static void`
`glTextureImage2DEXT(int texture, int target, int level, int internalformat, int width, int height, int border, int format, int type, ShortBuffer pixels)`
`static void`
`glTextureImage3DEXT(int texture, int target, int level, int internalformat, int width, int height, int depth, int border, int format, int type, long pixels_buffer_offset)`
`static void`
`glTextureImage3DEXT(int texture, int target, int level, int internalformat, int width, int height, int depth, int border, int format, int type, ByteBuffer pixels)`
`static void`
`glTextureImage3DEXT(int texture, int target, int level, int internalformat, int width, int height, int depth, int border, int format, int type, DoubleBuffer pixels)`
`static void`
`glTextureImage3DEXT(int texture, int target, int level, int internalformat, int width, int height, int depth, int border, int format, int type, FloatBuffer pixels)`
`static void`
`glTextureImage3DEXT(int texture, int target, int level, int internalformat, int width, int height, int depth, int border, int format, int type, IntBuffer pixels)`
`static void`
`glTextureImage3DEXT(int texture, int target, int level, int internalformat, int width, int height, int depth, int border, int format, int type, ShortBuffer pixels)`
`static void`
`glTextureParameterEXT(int texture, int target, int pname, FloatBuffer param)`
`static void`
`glTextureParameterEXT(int texture, int target, int pname, IntBuffer param)`
`static void`
`glTextureParameterfEXT(int texture, int target, int pname, float param)`
`static void`
`glTextureParameteriEXT(int texture, int target, int pname, int param)`
`static void`
`glTextureParameterIEXT(int texture, int target, int pname, int param)`
Overloads glTextureParameterIivEXT.
`static void`
`glTextureParameterIEXT(int texture, int target, int pname, IntBuffer params)`
`static void`
`glTextureParameterIuEXT(int texture, int target, int pname, int param)`
Overloads glTextureParameterIuivEXT.
`static void`
`glTextureParameterIuEXT(int texture, int target, int pname, IntBuffer params)`
`static void`
`glTextureRenderbufferEXT(int texture, int target, int renderbuffer)`
`static void`
`glTextureSubImage1DEXT(int texture, int target, int level, int xoffset, int width, int format, int type, long pixels_buffer_offset)`
`static void`
`glTextureSubImage1DEXT(int texture, int target, int level, int xoffset, int width, int format, int type, ByteBuffer pixels)`
`static void`
`glTextureSubImage1DEXT(int texture, int target, int level, int xoffset, int width, int format, int type, DoubleBuffer pixels)`
`static void`
`glTextureSubImage1DEXT(int texture, int target, int level, int xoffset, int width, int format, int type, FloatBuffer pixels)`
`static void`
`glTextureSubImage1DEXT(int texture, int target, int level, int xoffset, int width, int format, int type, IntBuffer pixels)`
`static void`
`glTextureSubImage1DEXT(int texture, int target, int level, int xoffset, int width, int format, int type, ShortBuffer pixels)`
`static void`
`glTextureSubImage2DEXT(int texture, int target, int level, int xoffset, int yoffset, int width, int height, int format, int type, long pixels_buffer_offset)`
`static void`
`glTextureSubImage2DEXT(int texture, int target, int level, int xoffset, int yoffset, int width, int height, int format, int type, ByteBuffer pixels)`
`static void`
`glTextureSubImage2DEXT(int texture, int target, int level, int xoffset, int yoffset, int width, int height, int format, int type, DoubleBuffer pixels)`
`static void`
`glTextureSubImage2DEXT(int texture, int target, int level, int xoffset, int yoffset, int width, int height, int format, int type, FloatBuffer pixels)`
`static void`
`glTextureSubImage2DEXT(int texture, int target, int level, int xoffset, int yoffset, int width, int height, int format, int type, IntBuffer pixels)`
`static void`
`glTextureSubImage2DEXT(int texture, int target, int level, int xoffset, int yoffset, int width, int height, int format, int type, ShortBuffer pixels)`
`static void`
`glTextureSubImage3DEXT(int texture, int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, long pixels_buffer_offset)`
`static void`
`glTextureSubImage3DEXT(int texture, int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, ByteBuffer pixels)`
`static void`
`glTextureSubImage3DEXT(int texture, int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, DoubleBuffer pixels)`
`static void`
`glTextureSubImage3DEXT(int texture, int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, FloatBuffer pixels)`
`static void`
`glTextureSubImage3DEXT(int texture, int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, IntBuffer pixels)`
`static void`
`glTextureSubImage3DEXT(int texture, int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, ShortBuffer pixels)`
`static boolean`
`glUnmapNamedBufferEXT(int buffer)`
`static void`
`glVertexArrayColorOffsetEXT(int vaobj, int buffer, int size, int type, int stride, long offset)`
`static void`
`glVertexArrayEdgeFlagOffsetEXT(int vaobj, int buffer, int stride, long offset)`
`static void`
`glVertexArrayFogCoordOffsetEXT(int vaobj, int buffer, int type, int stride, long offset)`
`static void`
`glVertexArrayIndexOffsetEXT(int vaobj, int buffer, int type, int stride, long offset)`
`static void`
`glVertexArrayMultiTexCoordOffsetEXT(int vaobj, int buffer, int texunit, int size, int type, int stride, long offset)`
`static void`
`glVertexArrayNormalOffsetEXT(int vaobj, int buffer, int type, int stride, long offset)`
`static void`
`glVertexArraySecondaryColorOffsetEXT(int vaobj, int buffer, int size, int type, int stride, long offset)`
`static void`
`glVertexArrayTexCoordOffsetEXT(int vaobj, int buffer, int size, int type, int stride, long offset)`
`static void`
`glVertexArrayVertexAttribIOffsetEXT(int vaobj, int buffer, int index, int size, int type, int stride, long offset)`
`static void`
`glVertexArrayVertexAttribOffsetEXT(int vaobj, int buffer, int index, int size, int type, boolean normalized, int stride, long offset)`
`static void`
`glVertexArrayVertexOffsetEXT(int vaobj, int buffer, int size, int type, int stride, long offset)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_PROGRAM_MATRIX_EXT

public static final int GL_PROGRAM_MATRIX_EXT
Accepted by the <pname> parameter of GetBooleanIndexedvEXT, GetIntegerIndexedvEXT, GetFloatIndexedvEXT, GetDoubleIndexedvEXT: GetBooleani_v, GetIntegeri_v, GetFloati_vEXT, GetDoublei_vEXT:

See Also:
  - Constant Field Values

### GL_TRANSPOSE_PROGRAM_MATRIX_EXT

public static final int GL_TRANSPOSE_PROGRAM_MATRIX_EXT
Accepted by the <pname> parameter of GetBooleanIndexedvEXT, GetIntegerIndexedvEXT, GetFloatIndexedvEXT, GetDoubleIndexedvEXT: GetBooleani_v, GetIntegeri_v, GetFloati_vEXT, GetDoublei_vEXT:

See Also:
  - Constant Field Values

### GL_PROGRAM_MATRIX_STACK_DEPTH_EXT

public static final int GL_PROGRAM_MATRIX_STACK_DEPTH_EXT
Accepted by the <pname> parameter of GetBooleanIndexedvEXT, GetIntegerIndexedvEXT, GetFloatIndexedvEXT, GetDoubleIndexedvEXT: GetBooleani_v, GetIntegeri_v, GetFloati_vEXT, GetDoublei_vEXT:

See Also:
  - Constant Field Values

## Method Details

### glClientAttribDefaultEXT

public static void glClientAttribDefaultEXT(int mask)

### glPushClientAttribDefaultEXT

public static void glPushClientAttribDefaultEXT(int mask)

### glMatrixLoadEXT

public static void glMatrixLoadEXT(int matrixMode, FloatBuffer m)

### glMatrixLoadEXT

public static void glMatrixLoadEXT(int matrixMode, DoubleBuffer m)

### glMatrixMultEXT

public static void glMatrixMultEXT(int matrixMode, FloatBuffer m)

### glMatrixMultEXT

public static void glMatrixMultEXT(int matrixMode, DoubleBuffer m)

### glMatrixLoadIdentityEXT

public static void glMatrixLoadIdentityEXT(int matrixMode)

### glMatrixRotatefEXT

public static void glMatrixRotatefEXT(int matrixMode, float angle, float x, float y, float z)

### glMatrixRotatedEXT

public static void glMatrixRotatedEXT(int matrixMode, double angle, double x, double y, double z)

### glMatrixScalefEXT

public static void glMatrixScalefEXT(int matrixMode, float x, float y, float z)

### glMatrixScaledEXT

public static void glMatrixScaledEXT(int matrixMode, double x, double y, double z)

### glMatrixTranslatefEXT

public static void glMatrixTranslatefEXT(int matrixMode, float x, float y, float z)

### glMatrixTranslatedEXT

public static void glMatrixTranslatedEXT(int matrixMode, double x, double y, double z)

### glMatrixOrthoEXT

public static void glMatrixOrthoEXT(int matrixMode, double l, double r, double b, double t, double n, double f)

### glMatrixFrustumEXT

public static void glMatrixFrustumEXT(int matrixMode, double l, double r, double b, double t, double n, double f)

### glMatrixPushEXT

public static void glMatrixPushEXT(int matrixMode)

### glMatrixPopEXT

public static void glMatrixPopEXT(int matrixMode)

### glTextureParameteriEXT

public static void glTextureParameteriEXT(int texture, int target, int pname, int param)

### glTextureParameterEXT

public static void glTextureParameterEXT(int texture, int target, int pname, IntBuffer param)

### glTextureParameterfEXT

public static void glTextureParameterfEXT(int texture, int target, int pname, float param)

### glTextureParameterEXT

public static void glTextureParameterEXT(int texture, int target, int pname, FloatBuffer param)

### glTextureImage1DEXT

public static void glTextureImage1DEXT(int texture, int target, int level, int internalformat, int width, int border, int format, int type, ByteBuffer pixels)

### glTextureImage1DEXT

public static void glTextureImage1DEXT(int texture, int target, int level, int internalformat, int width, int border, int format, int type, DoubleBuffer pixels)

### glTextureImage1DEXT

public static void glTextureImage1DEXT(int texture, int target, int level, int internalformat, int width, int border, int format, int type, FloatBuffer pixels)

### glTextureImage1DEXT

public static void glTextureImage1DEXT(int texture, int target, int level, int internalformat, int width, int border, int format, int type, IntBuffer pixels)

### glTextureImage1DEXT

public static void glTextureImage1DEXT(int texture, int target, int level, int internalformat, int width, int border, int format, int type, ShortBuffer pixels)

### glTextureImage1DEXT

public static void glTextureImage1DEXT(int texture, int target, int level, int internalformat, int width, int border, int format, int type, long pixels_buffer_offset)

### glTextureImage2DEXT

public static void glTextureImage2DEXT(int texture, int target, int level, int internalformat, int width, int height, int border, int format, int type, ByteBuffer pixels)

### glTextureImage2DEXT

public static void glTextureImage2DEXT(int texture, int target, int level, int internalformat, int width, int height, int border, int format, int type, DoubleBuffer pixels)

### glTextureImage2DEXT

public static void glTextureImage2DEXT(int texture, int target, int level, int internalformat, int width, int height, int border, int format, int type, FloatBuffer pixels)

### glTextureImage2DEXT

public static void glTextureImage2DEXT(int texture, int target, int level, int internalformat, int width, int height, int border, int format, int type, IntBuffer pixels)

### glTextureImage2DEXT

public static void glTextureImage2DEXT(int texture, int target, int level, int internalformat, int width, int height, int border, int format, int type, ShortBuffer pixels)

### glTextureImage2DEXT

public static void glTextureImage2DEXT(int texture, int target, int level, int internalformat, int width, int height, int border, int format, int type, long pixels_buffer_offset)

### glTextureSubImage1DEXT

public static void glTextureSubImage1DEXT(int texture, int target, int level, int xoffset, int width, int format, int type, ByteBuffer pixels)

### glTextureSubImage1DEXT

public static void glTextureSubImage1DEXT(int texture, int target, int level, int xoffset, int width, int format, int type, DoubleBuffer pixels)

### glTextureSubImage1DEXT

public static void glTextureSubImage1DEXT(int texture, int target, int level, int xoffset, int width, int format, int type, FloatBuffer pixels)

### glTextureSubImage1DEXT

public static void glTextureSubImage1DEXT(int texture, int target, int level, int xoffset, int width, int format, int type, IntBuffer pixels)

### glTextureSubImage1DEXT

public static void glTextureSubImage1DEXT(int texture, int target, int level, int xoffset, int width, int format, int type, ShortBuffer pixels)

### glTextureSubImage1DEXT

public static void glTextureSubImage1DEXT(int texture, int target, int level, int xoffset, int width, int format, int type, long pixels_buffer_offset)

### glTextureSubImage2DEXT

public static void glTextureSubImage2DEXT(int texture, int target, int level, int xoffset, int yoffset, int width, int height, int format, int type, ByteBuffer pixels)

### glTextureSubImage2DEXT

public static void glTextureSubImage2DEXT(int texture, int target, int level, int xoffset, int yoffset, int width, int height, int format, int type, DoubleBuffer pixels)

### glTextureSubImage2DEXT

public static void glTextureSubImage2DEXT(int texture, int target, int level, int xoffset, int yoffset, int width, int height, int format, int type, FloatBuffer pixels)

### glTextureSubImage2DEXT

public static void glTextureSubImage2DEXT(int texture, int target, int level, int xoffset, int yoffset, int width, int height, int format, int type, IntBuffer pixels)

### glTextureSubImage2DEXT

public static void glTextureSubImage2DEXT(int texture, int target, int level, int xoffset, int yoffset, int width, int height, int format, int type, ShortBuffer pixels)

### glTextureSubImage2DEXT

public static void glTextureSubImage2DEXT(int texture, int target, int level, int xoffset, int yoffset, int width, int height, int format, int type, long pixels_buffer_offset)

### glCopyTextureImage1DEXT

public static void glCopyTextureImage1DEXT(int texture, int target, int level, int internalformat, int x, int y, int width, int border)

### glCopyTextureImage2DEXT

public static void glCopyTextureImage2DEXT(int texture, int target, int level, int internalformat, int x, int y, int width, int height, int border)

### glCopyTextureSubImage1DEXT

public static void glCopyTextureSubImage1DEXT(int texture, int target, int level, int xoffset, int x, int y, int width)

### glCopyTextureSubImage2DEXT

public static void glCopyTextureSubImage2DEXT(int texture, int target, int level, int xoffset, int yoffset, int x, int y, int width, int height)

### glGetTextureImageEXT

public static void glGetTextureImageEXT(int texture, int target, int level, int format, int type, ByteBuffer pixels)

### glGetTextureImageEXT

public static void glGetTextureImageEXT(int texture, int target, int level, int format, int type, DoubleBuffer pixels)

### glGetTextureImageEXT

public static void glGetTextureImageEXT(int texture, int target, int level, int format, int type, FloatBuffer pixels)

### glGetTextureImageEXT

public static void glGetTextureImageEXT(int texture, int target, int level, int format, int type, IntBuffer pixels)

### glGetTextureImageEXT

public static void glGetTextureImageEXT(int texture, int target, int level, int format, int type, ShortBuffer pixels)

### glGetTextureImageEXT

public static void glGetTextureImageEXT(int texture, int target, int level, int format, int type, long pixels_buffer_offset)

### glGetTextureParameterEXT

public static void glGetTextureParameterEXT(int texture, int target, int pname, FloatBuffer params)

### glGetTextureParameterfEXT

public static float glGetTextureParameterfEXT(int texture, int target, int pname)
Overloads glGetTextureParameterfvEXT.

### glGetTextureParameterEXT

public static void glGetTextureParameterEXT(int texture, int target, int pname, IntBuffer params)

### glGetTextureParameteriEXT

public static int glGetTextureParameteriEXT(int texture, int target, int pname)
Overloads glGetTextureParameterivEXT.

### glGetTextureLevelParameterEXT

public static void glGetTextureLevelParameterEXT(int texture, int target, int level, int pname, FloatBuffer params)

### glGetTextureLevelParameterfEXT

public static float glGetTextureLevelParameterfEXT(int texture, int target, int level, int pname)
Overloads glGetTextureLevelParameterfvEXT.

### glGetTextureLevelParameterEXT

public static void glGetTextureLevelParameterEXT(int texture, int target, int level, int pname, IntBuffer params)

### glGetTextureLevelParameteriEXT

public static int glGetTextureLevelParameteriEXT(int texture, int target, int level, int pname)
Overloads glGetTextureLevelParameterivEXT.

### glTextureImage3DEXT

public static void glTextureImage3DEXT(int texture, int target, int level, int internalformat, int width, int height, int depth, int border, int format, int type, ByteBuffer pixels)

### glTextureImage3DEXT

public static void glTextureImage3DEXT(int texture, int target, int level, int internalformat, int width, int height, int depth, int border, int format, int type, DoubleBuffer pixels)

### glTextureImage3DEXT

public static void glTextureImage3DEXT(int texture, int target, int level, int internalformat, int width, int height, int depth, int border, int format, int type, FloatBuffer pixels)

### glTextureImage3DEXT

public static void glTextureImage3DEXT(int texture, int target, int level, int internalformat, int width, int height, int depth, int border, int format, int type, IntBuffer pixels)

### glTextureImage3DEXT

public static void glTextureImage3DEXT(int texture, int target, int level, int internalformat, int width, int height, int depth, int border, int format, int type, ShortBuffer pixels)

### glTextureImage3DEXT

public static void glTextureImage3DEXT(int texture, int target, int level, int internalformat, int width, int height, int depth, int border, int format, int type, long pixels_buffer_offset)

### glTextureSubImage3DEXT

public static void glTextureSubImage3DEXT(int texture, int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, ByteBuffer pixels)

### glTextureSubImage3DEXT

public static void glTextureSubImage3DEXT(int texture, int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, DoubleBuffer pixels)

### glTextureSubImage3DEXT

public static void glTextureSubImage3DEXT(int texture, int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, FloatBuffer pixels)

### glTextureSubImage3DEXT

public static void glTextureSubImage3DEXT(int texture, int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, IntBuffer pixels)

### glTextureSubImage3DEXT

public static void glTextureSubImage3DEXT(int texture, int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, ShortBuffer pixels)

### glTextureSubImage3DEXT

public static void glTextureSubImage3DEXT(int texture, int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, long pixels_buffer_offset)

### glCopyTextureSubImage3DEXT

public static void glCopyTextureSubImage3DEXT(int texture, int target, int level, int xoffset, int yoffset, int zoffset, int x, int y, int width, int height)

### glBindMultiTextureEXT

public static void glBindMultiTextureEXT(int texunit, int target, int texture)

### glMultiTexCoordPointerEXT

public static void glMultiTexCoordPointerEXT(int texunit, int size, int stride, DoubleBuffer pointer)

### glMultiTexCoordPointerEXT

public static void glMultiTexCoordPointerEXT(int texunit, int size, int stride, FloatBuffer pointer)

### glMultiTexCoordPointerEXT

public static void glMultiTexCoordPointerEXT(int texunit, int size, int type, int stride, long pointer_buffer_offset)

### glMultiTexEnvfEXT

public static void glMultiTexEnvfEXT(int texunit, int target, int pname, float param)

### glMultiTexEnvEXT

public static void glMultiTexEnvEXT(int texunit, int target, int pname, FloatBuffer params)

### glMultiTexEnviEXT

public static void glMultiTexEnviEXT(int texunit, int target, int pname, int param)

### glMultiTexEnvEXT

public static void glMultiTexEnvEXT(int texunit, int target, int pname, IntBuffer params)

### glMultiTexGendEXT

public static void glMultiTexGendEXT(int texunit, int coord, int pname, double param)

### glMultiTexGenEXT

public static void glMultiTexGenEXT(int texunit, int coord, int pname, DoubleBuffer params)

### glMultiTexGenfEXT

public static void glMultiTexGenfEXT(int texunit, int coord, int pname, float param)

### glMultiTexGenEXT

public static void glMultiTexGenEXT(int texunit, int coord, int pname, FloatBuffer params)

### glMultiTexGeniEXT

public static void glMultiTexGeniEXT(int texunit, int coord, int pname, int param)

### glMultiTexGenEXT

public static void glMultiTexGenEXT(int texunit, int coord, int pname, IntBuffer params)

### glGetMultiTexEnvEXT

public static void glGetMultiTexEnvEXT(int texunit, int target, int pname, FloatBuffer params)

### glGetMultiTexEnvEXT

public static void glGetMultiTexEnvEXT(int texunit, int target, int pname, IntBuffer params)

### glGetMultiTexGenEXT

public static void glGetMultiTexGenEXT(int texunit, int coord, int pname, DoubleBuffer params)

### glGetMultiTexGenEXT

public static void glGetMultiTexGenEXT(int texunit, int coord, int pname, FloatBuffer params)

### glGetMultiTexGenEXT

public static void glGetMultiTexGenEXT(int texunit, int coord, int pname, IntBuffer params)

### glMultiTexParameteriEXT

public static void glMultiTexParameteriEXT(int texunit, int target, int pname, int param)

### glMultiTexParameterEXT

public static void glMultiTexParameterEXT(int texunit, int target, int pname, IntBuffer param)

### glMultiTexParameterfEXT

public static void glMultiTexParameterfEXT(int texunit, int target, int pname, float param)

### glMultiTexParameterEXT

public static void glMultiTexParameterEXT(int texunit, int target, int pname, FloatBuffer param)

### glMultiTexImage1DEXT

public static void glMultiTexImage1DEXT(int texunit, int target, int level, int internalformat, int width, int border, int format, int type, ByteBuffer pixels)

### glMultiTexImage1DEXT

public static void glMultiTexImage1DEXT(int texunit, int target, int level, int internalformat, int width, int border, int format, int type, DoubleBuffer pixels)

### glMultiTexImage1DEXT

public static void glMultiTexImage1DEXT(int texunit, int target, int level, int internalformat, int width, int border, int format, int type, FloatBuffer pixels)

### glMultiTexImage1DEXT

public static void glMultiTexImage1DEXT(int texunit, int target, int level, int internalformat, int width, int border, int format, int type, IntBuffer pixels)

### glMultiTexImage1DEXT

public static void glMultiTexImage1DEXT(int texunit, int target, int level, int internalformat, int width, int border, int format, int type, ShortBuffer pixels)

### glMultiTexImage1DEXT

public static void glMultiTexImage1DEXT(int texunit, int target, int level, int internalformat, int width, int border, int format, int type, long pixels_buffer_offset)

### glMultiTexImage2DEXT

public static void glMultiTexImage2DEXT(int texunit, int target, int level, int internalformat, int width, int height, int border, int format, int type, ByteBuffer pixels)

### glMultiTexImage2DEXT

public static void glMultiTexImage2DEXT(int texunit, int target, int level, int internalformat, int width, int height, int border, int format, int type, DoubleBuffer pixels)

### glMultiTexImage2DEXT

public static void glMultiTexImage2DEXT(int texunit, int target, int level, int internalformat, int width, int height, int border, int format, int type, FloatBuffer pixels)

### glMultiTexImage2DEXT

public static void glMultiTexImage2DEXT(int texunit, int target, int level, int internalformat, int width, int height, int border, int format, int type, IntBuffer pixels)

### glMultiTexImage2DEXT

public static void glMultiTexImage2DEXT(int texunit, int target, int level, int internalformat, int width, int height, int border, int format, int type, ShortBuffer pixels)

### glMultiTexImage2DEXT

public static void glMultiTexImage2DEXT(int texunit, int target, int level, int internalformat, int width, int height, int border, int format, int type, long pixels_buffer_offset)

### glMultiTexSubImage1DEXT

public static void glMultiTexSubImage1DEXT(int texunit, int target, int level, int xoffset, int width, int format, int type, ByteBuffer pixels)

### glMultiTexSubImage1DEXT

public static void glMultiTexSubImage1DEXT(int texunit, int target, int level, int xoffset, int width, int format, int type, DoubleBuffer pixels)

### glMultiTexSubImage1DEXT

public static void glMultiTexSubImage1DEXT(int texunit, int target, int level, int xoffset, int width, int format, int type, FloatBuffer pixels)

### glMultiTexSubImage1DEXT

public static void glMultiTexSubImage1DEXT(int texunit, int target, int level, int xoffset, int width, int format, int type, IntBuffer pixels)

### glMultiTexSubImage1DEXT

public static void glMultiTexSubImage1DEXT(int texunit, int target, int level, int xoffset, int width, int format, int type, ShortBuffer pixels)

### glMultiTexSubImage1DEXT

public static void glMultiTexSubImage1DEXT(int texunit, int target, int level, int xoffset, int width, int format, int type, long pixels_buffer_offset)

### glMultiTexSubImage2DEXT

public static void glMultiTexSubImage2DEXT(int texunit, int target, int level, int xoffset, int yoffset, int width, int height, int format, int type, ByteBuffer pixels)

### glMultiTexSubImage2DEXT

public static void glMultiTexSubImage2DEXT(int texunit, int target, int level, int xoffset, int yoffset, int width, int height, int format, int type, DoubleBuffer pixels)

### glMultiTexSubImage2DEXT

public static void glMultiTexSubImage2DEXT(int texunit, int target, int level, int xoffset, int yoffset, int width, int height, int format, int type, FloatBuffer pixels)

### glMultiTexSubImage2DEXT

public static void glMultiTexSubImage2DEXT(int texunit, int target, int level, int xoffset, int yoffset, int width, int height, int format, int type, IntBuffer pixels)

### glMultiTexSubImage2DEXT

public static void glMultiTexSubImage2DEXT(int texunit, int target, int level, int xoffset, int yoffset, int width, int height, int format, int type, ShortBuffer pixels)

### glMultiTexSubImage2DEXT

public static void glMultiTexSubImage2DEXT(int texunit, int target, int level, int xoffset, int yoffset, int width, int height, int format, int type, long pixels_buffer_offset)

### glCopyMultiTexImage1DEXT

public static void glCopyMultiTexImage1DEXT(int texunit, int target, int level, int internalformat, int x, int y, int width, int border)

### glCopyMultiTexImage2DEXT

public static void glCopyMultiTexImage2DEXT(int texunit, int target, int level, int internalformat, int x, int y, int width, int height, int border)

### glCopyMultiTexSubImage1DEXT

public static void glCopyMultiTexSubImage1DEXT(int texunit, int target, int level, int xoffset, int x, int y, int width)

### glCopyMultiTexSubImage2DEXT

public static void glCopyMultiTexSubImage2DEXT(int texunit, int target, int level, int xoffset, int yoffset, int x, int y, int width, int height)

### glGetMultiTexImageEXT

public static void glGetMultiTexImageEXT(int texunit, int target, int level, int format, int type, ByteBuffer pixels)

### glGetMultiTexImageEXT

public static void glGetMultiTexImageEXT(int texunit, int target, int level, int format, int type, DoubleBuffer pixels)

### glGetMultiTexImageEXT

public static void glGetMultiTexImageEXT(int texunit, int target, int level, int format, int type, FloatBuffer pixels)

### glGetMultiTexImageEXT

public static void glGetMultiTexImageEXT(int texunit, int target, int level, int format, int type, IntBuffer pixels)

### glGetMultiTexImageEXT

public static void glGetMultiTexImageEXT(int texunit, int target, int level, int format, int type, ShortBuffer pixels)

### glGetMultiTexImageEXT

public static void glGetMultiTexImageEXT(int texunit, int target, int level, int format, int type, long pixels_buffer_offset)

### glGetMultiTexParameterEXT

public static void glGetMultiTexParameterEXT(int texunit, int target, int pname, FloatBuffer params)

### glGetMultiTexParameterfEXT

public static float glGetMultiTexParameterfEXT(int texunit, int target, int pname)
Overloads glGetMultiTexParameterfvEXT.

### glGetMultiTexParameterEXT

public static void glGetMultiTexParameterEXT(int texunit, int target, int pname, IntBuffer params)

### glGetMultiTexParameteriEXT

public static int glGetMultiTexParameteriEXT(int texunit, int target, int pname)
Overloads glGetMultiTexParameterivEXT.

### glGetMultiTexLevelParameterEXT

public static void glGetMultiTexLevelParameterEXT(int texunit, int target, int level, int pname, FloatBuffer params)

### glGetMultiTexLevelParameterfEXT

public static float glGetMultiTexLevelParameterfEXT(int texunit, int target, int level, int pname)
Overloads glGetMultiTexLevelParameterfvEXT.

### glGetMultiTexLevelParameterEXT

public static void glGetMultiTexLevelParameterEXT(int texunit, int target, int level, int pname, IntBuffer params)

### glGetMultiTexLevelParameteriEXT

public static int glGetMultiTexLevelParameteriEXT(int texunit, int target, int level, int pname)
Overloads glGetMultiTexLevelParameterivEXT.

### glMultiTexImage3DEXT

public static void glMultiTexImage3DEXT(int texunit, int target, int level, int internalformat, int width, int height, int depth, int border, int format, int type, ByteBuffer pixels)

### glMultiTexImage3DEXT

public static void glMultiTexImage3DEXT(int texunit, int target, int level, int internalformat, int width, int height, int depth, int border, int format, int type, DoubleBuffer pixels)

### glMultiTexImage3DEXT

public static void glMultiTexImage3DEXT(int texunit, int target, int level, int internalformat, int width, int height, int depth, int border, int format, int type, FloatBuffer pixels)

### glMultiTexImage3DEXT

public static void glMultiTexImage3DEXT(int texunit, int target, int level, int internalformat, int width, int height, int depth, int border, int format, int type, IntBuffer pixels)

### glMultiTexImage3DEXT

public static void glMultiTexImage3DEXT(int texunit, int target, int level, int internalformat, int width, int height, int depth, int border, int format, int type, ShortBuffer pixels)

### glMultiTexImage3DEXT

public static void glMultiTexImage3DEXT(int texunit, int target, int level, int internalformat, int width, int height, int depth, int border, int format, int type, long pixels_buffer_offset)

### glMultiTexSubImage3DEXT

public static void glMultiTexSubImage3DEXT(int texunit, int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, ByteBuffer pixels)

### glMultiTexSubImage3DEXT

public static void glMultiTexSubImage3DEXT(int texunit, int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, DoubleBuffer pixels)

### glMultiTexSubImage3DEXT

public static void glMultiTexSubImage3DEXT(int texunit, int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, FloatBuffer pixels)

### glMultiTexSubImage3DEXT

public static void glMultiTexSubImage3DEXT(int texunit, int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, IntBuffer pixels)

### glMultiTexSubImage3DEXT

public static void glMultiTexSubImage3DEXT(int texunit, int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, ShortBuffer pixels)

### glMultiTexSubImage3DEXT

public static void glMultiTexSubImage3DEXT(int texunit, int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, long pixels_buffer_offset)

### glCopyMultiTexSubImage3DEXT

public static void glCopyMultiTexSubImage3DEXT(int texunit, int target, int level, int xoffset, int yoffset, int zoffset, int x, int y, int width, int height)

### glEnableClientStateIndexedEXT

public static void glEnableClientStateIndexedEXT(int array, int index)

### glDisableClientStateIndexedEXT

public static void glDisableClientStateIndexedEXT(int array, int index)

### glEnableClientStateiEXT

public static void glEnableClientStateiEXT(int array, int index)

### glDisableClientStateiEXT

public static void glDisableClientStateiEXT(int array, int index)

### glGetFloatIndexedEXT

public static void glGetFloatIndexedEXT(int pname, int index, FloatBuffer params)

### glGetFloatIndexedEXT

public static float glGetFloatIndexedEXT(int pname, int index)
Overloads glGetFloatIndexedvEXT.

### glGetDoubleIndexedEXT

public static void glGetDoubleIndexedEXT(int pname, int index, DoubleBuffer params)

### glGetDoubleIndexedEXT

public static double glGetDoubleIndexedEXT(int pname, int index)
Overloads glGetDoubleIndexedvEXT.

### glGetPointerIndexedEXT

public static ByteBuffer glGetPointerIndexedEXT(int pname, int index, long result_size)

### glGetFloatEXT

public static void glGetFloatEXT(int pname, int index, FloatBuffer params)

### glGetFloatEXT

public static float glGetFloatEXT(int pname, int index)
Overloads glGetFloati_vEXT.

### glGetDoubleEXT

public static void glGetDoubleEXT(int pname, int index, DoubleBuffer params)

### glGetDoubleEXT

public static double glGetDoubleEXT(int pname, int index)
Overloads glGetDoublei_vEXT.

### glGetPointerEXT

public static ByteBuffer glGetPointerEXT(int pname, int index, long result_size)

### glEnableIndexedEXT

public static void glEnableIndexedEXT(int cap, int index)

### glDisableIndexedEXT

public static void glDisableIndexedEXT(int cap, int index)

### glIsEnabledIndexedEXT

public static boolean glIsEnabledIndexedEXT(int cap, int index)

### glGetIntegerIndexedEXT

public static void glGetIntegerIndexedEXT(int pname, int index, IntBuffer params)

### glGetIntegerIndexedEXT

public static int glGetIntegerIndexedEXT(int pname, int index)
Overloads glGetIntegerIndexedvEXT.

### glGetBooleanIndexedEXT

public static void glGetBooleanIndexedEXT(int pname, int index, ByteBuffer params)

### glGetBooleanIndexedEXT

public static boolean glGetBooleanIndexedEXT(int pname, int index)
Overloads glGetBooleanIndexedvEXT.

### glNamedProgramStringEXT

public static void glNamedProgramStringEXT(int program, int target, int format, ByteBuffer string)

### glNamedProgramStringEXT

public static void glNamedProgramStringEXT(int program, int target, int format, CharSequence string)
Overloads glNamedProgramStringEXT.

### glNamedProgramLocalParameter4dEXT

public static void glNamedProgramLocalParameter4dEXT(int program, int target, int index, double x, double y, double z, double w)

### glNamedProgramLocalParameter4EXT

public static void glNamedProgramLocalParameter4EXT(int program, int target, int index, DoubleBuffer params)

### glNamedProgramLocalParameter4fEXT

public static void glNamedProgramLocalParameter4fEXT(int program, int target, int index, float x, float y, float z, float w)

### glNamedProgramLocalParameter4EXT

public static void glNamedProgramLocalParameter4EXT(int program, int target, int index, FloatBuffer params)

### glGetNamedProgramLocalParameterEXT

public static void glGetNamedProgramLocalParameterEXT(int program, int target, int index, DoubleBuffer params)

### glGetNamedProgramLocalParameterEXT

public static void glGetNamedProgramLocalParameterEXT(int program, int target, int index, FloatBuffer params)

### glGetNamedProgramEXT

public static void glGetNamedProgramEXT(int program, int target, int pname, IntBuffer params)

### glGetNamedProgramEXT

public static int glGetNamedProgramEXT(int program, int target, int pname)
Overloads glGetNamedProgramivEXT.

### glGetNamedProgramStringEXT

public static void glGetNamedProgramStringEXT(int program, int target, int pname, ByteBuffer string)

### glGetNamedProgramStringEXT

public static String glGetNamedProgramStringEXT(int program, int target, int pname)
Overloads glGetNamedProgramStringEXT.

### glCompressedTextureImage3DEXT

public static void glCompressedTextureImage3DEXT(int texture, int target, int level, int internalformat, int width, int height, int depth, int border, ByteBuffer data)

### glCompressedTextureImage3DEXT

public static void glCompressedTextureImage3DEXT(int texture, int target, int level, int internalformat, int width, int height, int depth, int border, int data_imageSize, long data_buffer_offset)

### glCompressedTextureImage2DEXT

public static void glCompressedTextureImage2DEXT(int texture, int target, int level, int internalformat, int width, int height, int border, ByteBuffer data)

### glCompressedTextureImage2DEXT

public static void glCompressedTextureImage2DEXT(int texture, int target, int level, int internalformat, int width, int height, int border, int data_imageSize, long data_buffer_offset)

### glCompressedTextureImage1DEXT

public static void glCompressedTextureImage1DEXT(int texture, int target, int level, int internalformat, int width, int border, ByteBuffer data)

### glCompressedTextureImage1DEXT

public static void glCompressedTextureImage1DEXT(int texture, int target, int level, int internalformat, int width, int border, int data_imageSize, long data_buffer_offset)

### glCompressedTextureSubImage3DEXT

public static void glCompressedTextureSubImage3DEXT(int texture, int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, ByteBuffer data)

### glCompressedTextureSubImage3DEXT

public static void glCompressedTextureSubImage3DEXT(int texture, int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int data_imageSize, long data_buffer_offset)

### glCompressedTextureSubImage2DEXT

public static void glCompressedTextureSubImage2DEXT(int texture, int target, int level, int xoffset, int yoffset, int width, int height, int format, ByteBuffer data)

### glCompressedTextureSubImage2DEXT

public static void glCompressedTextureSubImage2DEXT(int texture, int target, int level, int xoffset, int yoffset, int width, int height, int format, int data_imageSize, long data_buffer_offset)

### glCompressedTextureSubImage1DEXT

public static void glCompressedTextureSubImage1DEXT(int texture, int target, int level, int xoffset, int width, int format, ByteBuffer data)

### glCompressedTextureSubImage1DEXT

public static void glCompressedTextureSubImage1DEXT(int texture, int target, int level, int xoffset, int width, int format, int data_imageSize, long data_buffer_offset)

### glGetCompressedTextureImageEXT

public static void glGetCompressedTextureImageEXT(int texture, int target, int level, ByteBuffer img)

### glGetCompressedTextureImageEXT

public static void glGetCompressedTextureImageEXT(int texture, int target, int level, IntBuffer img)

### glGetCompressedTextureImageEXT

public static void glGetCompressedTextureImageEXT(int texture, int target, int level, ShortBuffer img)

### glGetCompressedTextureImageEXT

public static void glGetCompressedTextureImageEXT(int texture, int target, int level, long img_buffer_offset)

### glCompressedMultiTexImage3DEXT

public static void glCompressedMultiTexImage3DEXT(int texunit, int target, int level, int internalformat, int width, int height, int depth, int border, ByteBuffer data)

### glCompressedMultiTexImage3DEXT

public static void glCompressedMultiTexImage3DEXT(int texunit, int target, int level, int internalformat, int width, int height, int depth, int border, int data_imageSize, long data_buffer_offset)

### glCompressedMultiTexImage2DEXT

public static void glCompressedMultiTexImage2DEXT(int texunit, int target, int level, int internalformat, int width, int height, int border, ByteBuffer data)

### glCompressedMultiTexImage2DEXT

public static void glCompressedMultiTexImage2DEXT(int texunit, int target, int level, int internalformat, int width, int height, int border, int data_imageSize, long data_buffer_offset)

### glCompressedMultiTexImage1DEXT

public static void glCompressedMultiTexImage1DEXT(int texunit, int target, int level, int internalformat, int width, int border, ByteBuffer data)

### glCompressedMultiTexImage1DEXT

public static void glCompressedMultiTexImage1DEXT(int texunit, int target, int level, int internalformat, int width, int border, int data_imageSize, long data_buffer_offset)

### glCompressedMultiTexSubImage3DEXT

public static void glCompressedMultiTexSubImage3DEXT(int texunit, int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, ByteBuffer data)

### glCompressedMultiTexSubImage3DEXT

public static void glCompressedMultiTexSubImage3DEXT(int texunit, int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int data_imageSize, long data_buffer_offset)

### glCompressedMultiTexSubImage2DEXT

public static void glCompressedMultiTexSubImage2DEXT(int texunit, int target, int level, int xoffset, int yoffset, int width, int height, int format, ByteBuffer data)

### glCompressedMultiTexSubImage2DEXT

public static void glCompressedMultiTexSubImage2DEXT(int texunit, int target, int level, int xoffset, int yoffset, int width, int height, int format, int data_imageSize, long data_buffer_offset)

### glCompressedMultiTexSubImage1DEXT

public static void glCompressedMultiTexSubImage1DEXT(int texunit, int target, int level, int xoffset, int width, int format, ByteBuffer data)

### glCompressedMultiTexSubImage1DEXT

public static void glCompressedMultiTexSubImage1DEXT(int texunit, int target, int level, int xoffset, int width, int format, int data_imageSize, long data_buffer_offset)

### glGetCompressedMultiTexImageEXT

public static void glGetCompressedMultiTexImageEXT(int texunit, int target, int level, ByteBuffer img)

### glGetCompressedMultiTexImageEXT

public static void glGetCompressedMultiTexImageEXT(int texunit, int target, int level, IntBuffer img)

### glGetCompressedMultiTexImageEXT

public static void glGetCompressedMultiTexImageEXT(int texunit, int target, int level, ShortBuffer img)

### glGetCompressedMultiTexImageEXT

public static void glGetCompressedMultiTexImageEXT(int texunit, int target, int level, long img_buffer_offset)

### glMatrixLoadTransposeEXT

public static void glMatrixLoadTransposeEXT(int matrixMode, FloatBuffer m)

### glMatrixLoadTransposeEXT

public static void glMatrixLoadTransposeEXT(int matrixMode, DoubleBuffer m)

### glMatrixMultTransposeEXT

public static void glMatrixMultTransposeEXT(int matrixMode, FloatBuffer m)

### glMatrixMultTransposeEXT

public static void glMatrixMultTransposeEXT(int matrixMode, DoubleBuffer m)

### glNamedBufferDataEXT

public static void glNamedBufferDataEXT(int buffer, long data_size, int usage)

### glNamedBufferDataEXT

public static void glNamedBufferDataEXT(int buffer, ByteBuffer data, int usage)

### glNamedBufferDataEXT

public static void glNamedBufferDataEXT(int buffer, DoubleBuffer data, int usage)

### glNamedBufferDataEXT

public static void glNamedBufferDataEXT(int buffer, FloatBuffer data, int usage)

### glNamedBufferDataEXT

public static void glNamedBufferDataEXT(int buffer, IntBuffer data, int usage)

### glNamedBufferDataEXT

public static void glNamedBufferDataEXT(int buffer, ShortBuffer data, int usage)

### glNamedBufferSubDataEXT

public static void glNamedBufferSubDataEXT(int buffer, long offset, ByteBuffer data)

### glNamedBufferSubDataEXT

public static void glNamedBufferSubDataEXT(int buffer, long offset, DoubleBuffer data)

### glNamedBufferSubDataEXT

public static void glNamedBufferSubDataEXT(int buffer, long offset, FloatBuffer data)

### glNamedBufferSubDataEXT

public static void glNamedBufferSubDataEXT(int buffer, long offset, IntBuffer data)

### glNamedBufferSubDataEXT

public static void glNamedBufferSubDataEXT(int buffer, long offset, ShortBuffer data)

### glMapNamedBufferEXT

public static ByteBuffer glMapNamedBufferEXT(int buffer, int access, ByteBuffer old_buffer)
glMapNamedBufferEXT maps a GL buffer object to a ByteBuffer. The old_buffer argument can be null, in which case a new ByteBuffer will be created, pointing to the returned memory. If old_buffer is non-null, it will be returned if it points to the same mapped memory and has the same capacity as the buffer object, otherwise a new ByteBuffer is created. That way, an application will normally use glMapNamedBufferEXT like this:

ByteBuffer mapped_buffer; mapped_buffer = glMapNamedBufferEXT(..., ..., null); ... // Another map on the same buffer mapped_buffer = glMapNamedBufferEXT(..., ..., mapped_buffer);

Only ByteBuffers returned from this method are to be passed as the old_buffer argument. User-created ByteBuffers cannot be reused.

The version of this method without an explicit length argument calls glGetNamedBufferParameterEXT internally to retrieve the current buffer object size, which may cause a pipeline flush and reduce application performance.

The version of this method with an explicit length argument is a fast alternative to the one without. No GL call is made to retrieve the buffer object size, so the user is responsible for tracking and using the appropriate length.
Security warning: The length argument should match the buffer object size. Reading from or writing to outside the memory region that corresponds to the mapped buffer object will cause native crashes.

Parameters:
  `old_buffer` - A ByteBuffer. If this argument points to the same address and has the same capacity as the new mapping, it will be returned and no new buffer will be created.

  `length` - the length of the mapped memory in bytes.
Returns:
  A ByteBuffer representing the mapped buffer memory.

### glMapNamedBufferEXT

public static ByteBuffer glMapNamedBufferEXT(int buffer, int access, long length, ByteBuffer old_buffer)
glMapNamedBufferEXT maps a GL buffer object to a ByteBuffer. The old_buffer argument can be null, in which case a new ByteBuffer will be created, pointing to the returned memory. If old_buffer is non-null, it will be returned if it points to the same mapped memory and has the same capacity as the buffer object, otherwise a new ByteBuffer is created. That way, an application will normally use glMapNamedBufferEXT like this:

ByteBuffer mapped_buffer; mapped_buffer = glMapNamedBufferEXT(..., ..., null); ... // Another map on the same buffer mapped_buffer = glMapNamedBufferEXT(..., ..., mapped_buffer);

Only ByteBuffers returned from this method are to be passed as the old_buffer argument. User-created ByteBuffers cannot be reused.

The version of this method without an explicit length argument calls glGetNamedBufferParameterEXT internally to retrieve the current buffer object size, which may cause a pipeline flush and reduce application performance.

The version of this method with an explicit length argument is a fast alternative to the one without. No GL call is made to retrieve the buffer object size, so the user is responsible for tracking and using the appropriate length.
Security warning: The length argument should match the buffer object size. Reading from or writing to outside the memory region that corresponds to the mapped buffer object will cause native crashes.

Parameters:
  `length` - the length of the mapped memory in bytes.
  `old_buffer` - A ByteBuffer. If this argument points to the same address and has the same capacity as the new mapping, it will be returned and no new buffer will be created.

Returns:
  A ByteBuffer representing the mapped buffer memory.

### glUnmapNamedBufferEXT

public static boolean glUnmapNamedBufferEXT(int buffer)

### glGetNamedBufferParameterEXT

public static void glGetNamedBufferParameterEXT(int buffer, int pname, IntBuffer params)

### glGetNamedBufferParameterEXT

public static int glGetNamedBufferParameterEXT(int buffer, int pname)
Overloads glGetNamedBufferParameterivEXT.

### glGetNamedBufferPointerEXT

public static ByteBuffer glGetNamedBufferPointerEXT(int buffer, int pname)

### glGetNamedBufferSubDataEXT

public static void glGetNamedBufferSubDataEXT(int buffer, long offset, ByteBuffer data)

### glGetNamedBufferSubDataEXT

public static void glGetNamedBufferSubDataEXT(int buffer, long offset, DoubleBuffer data)

### glGetNamedBufferSubDataEXT

public static void glGetNamedBufferSubDataEXT(int buffer, long offset, FloatBuffer data)

### glGetNamedBufferSubDataEXT

public static void glGetNamedBufferSubDataEXT(int buffer, long offset, IntBuffer data)

### glGetNamedBufferSubDataEXT

public static void glGetNamedBufferSubDataEXT(int buffer, long offset, ShortBuffer data)

### glProgramUniform1fEXT

public static void glProgramUniform1fEXT(int program, int location, float v0)

### glProgramUniform2fEXT

public static void glProgramUniform2fEXT(int program, int location, float v0, float v1)

### glProgramUniform3fEXT

public static void glProgramUniform3fEXT(int program, int location, float v0, float v1, float v2)

### glProgramUniform4fEXT

public static void glProgramUniform4fEXT(int program, int location, float v0, float v1, float v2, float v3)

### glProgramUniform1iEXT

public static void glProgramUniform1iEXT(int program, int location, int v0)

### glProgramUniform2iEXT

public static void glProgramUniform2iEXT(int program, int location, int v0, int v1)

### glProgramUniform3iEXT

public static void glProgramUniform3iEXT(int program, int location, int v0, int v1, int v2)

### glProgramUniform4iEXT

public static void glProgramUniform4iEXT(int program, int location, int v0, int v1, int v2, int v3)

### glProgramUniform1EXT

public static void glProgramUniform1EXT(int program, int location, FloatBuffer value)

### glProgramUniform2EXT

public static void glProgramUniform2EXT(int program, int location, FloatBuffer value)

### glProgramUniform3EXT

public static void glProgramUniform3EXT(int program, int location, FloatBuffer value)

### glProgramUniform4EXT

public static void glProgramUniform4EXT(int program, int location, FloatBuffer value)

### glProgramUniform1EXT

public static void glProgramUniform1EXT(int program, int location, IntBuffer value)

### glProgramUniform2EXT

public static void glProgramUniform2EXT(int program, int location, IntBuffer value)

### glProgramUniform3EXT

public static void glProgramUniform3EXT(int program, int location, IntBuffer value)

### glProgramUniform4EXT

public static void glProgramUniform4EXT(int program, int location, IntBuffer value)

### glProgramUniformMatrix2EXT

public static void glProgramUniformMatrix2EXT(int program, int location, boolean transpose, FloatBuffer value)

### glProgramUniformMatrix3EXT

public static void glProgramUniformMatrix3EXT(int program, int location, boolean transpose, FloatBuffer value)

### glProgramUniformMatrix4EXT

public static void glProgramUniformMatrix4EXT(int program, int location, boolean transpose, FloatBuffer value)

### glProgramUniformMatrix2x3EXT

public static void glProgramUniformMatrix2x3EXT(int program, int location, boolean transpose, FloatBuffer value)

### glProgramUniformMatrix3x2EXT

public static void glProgramUniformMatrix3x2EXT(int program, int location, boolean transpose, FloatBuffer value)

### glProgramUniformMatrix2x4EXT

public static void glProgramUniformMatrix2x4EXT(int program, int location, boolean transpose, FloatBuffer value)

### glProgramUniformMatrix4x2EXT

public static void glProgramUniformMatrix4x2EXT(int program, int location, boolean transpose, FloatBuffer value)

### glProgramUniformMatrix3x4EXT

public static void glProgramUniformMatrix3x4EXT(int program, int location, boolean transpose, FloatBuffer value)

### glProgramUniformMatrix4x3EXT

public static void glProgramUniformMatrix4x3EXT(int program, int location, boolean transpose, FloatBuffer value)

### glTextureBufferEXT

public static void glTextureBufferEXT(int texture, int target, int internalformat, int buffer)

### glMultiTexBufferEXT

public static void glMultiTexBufferEXT(int texunit, int target, int internalformat, int buffer)

### glTextureParameterIEXT

public static void glTextureParameterIEXT(int texture, int target, int pname, IntBuffer params)

### glTextureParameterIEXT

public static void glTextureParameterIEXT(int texture, int target, int pname, int param)
Overloads glTextureParameterIivEXT.

### glTextureParameterIuEXT

public static void glTextureParameterIuEXT(int texture, int target, int pname, IntBuffer params)

### glTextureParameterIuEXT

public static void glTextureParameterIuEXT(int texture, int target, int pname, int param)
Overloads glTextureParameterIuivEXT.

### glGetTextureParameterIEXT

public static void glGetTextureParameterIEXT(int texture, int target, int pname, IntBuffer params)

### glGetTextureParameterIiEXT

public static int glGetTextureParameterIiEXT(int texture, int target, int pname)
Overloads glGetTextureParameterIivEXT.

### glGetTextureParameterIuEXT

public static void glGetTextureParameterIuEXT(int texture, int target, int pname, IntBuffer params)

### glGetTextureParameterIuiEXT

public static int glGetTextureParameterIuiEXT(int texture, int target, int pname)
Overloads glGetTextureParameterIuivEXT.

### glMultiTexParameterIEXT

public static void glMultiTexParameterIEXT(int texunit, int target, int pname, IntBuffer params)

### glMultiTexParameterIEXT

public static void glMultiTexParameterIEXT(int texunit, int target, int pname, int param)
Overloads glMultiTexParameterIivEXT.

### glMultiTexParameterIuEXT

public static void glMultiTexParameterIuEXT(int texunit, int target, int pname, IntBuffer params)

### glMultiTexParameterIuEXT

public static void glMultiTexParameterIuEXT(int texunit, int target, int pname, int param)
Overloads glMultiTexParameterIuivEXT.

### glGetMultiTexParameterIEXT

public static void glGetMultiTexParameterIEXT(int texunit, int target, int pname, IntBuffer params)

### glGetMultiTexParameterIiEXT

public static int glGetMultiTexParameterIiEXT(int texunit, int target, int pname)
Overloads glGetMultiTexParameterIivEXT.

### glGetMultiTexParameterIuEXT

public static void glGetMultiTexParameterIuEXT(int texunit, int target, int pname, IntBuffer params)

### glGetMultiTexParameterIuiEXT

public static int glGetMultiTexParameterIuiEXT(int texunit, int target, int pname)
Overloads glGetMultiTexParameterIuivEXT.

### glProgramUniform1uiEXT

public static void glProgramUniform1uiEXT(int program, int location, int v0)

### glProgramUniform2uiEXT

public static void glProgramUniform2uiEXT(int program, int location, int v0, int v1)

### glProgramUniform3uiEXT

public static void glProgramUniform3uiEXT(int program, int location, int v0, int v1, int v2)

### glProgramUniform4uiEXT

public static void glProgramUniform4uiEXT(int program, int location, int v0, int v1, int v2, int v3)

### glProgramUniform1uEXT

public static void glProgramUniform1uEXT(int program, int location, IntBuffer value)

### glProgramUniform2uEXT

public static void glProgramUniform2uEXT(int program, int location, IntBuffer value)

### glProgramUniform3uEXT

public static void glProgramUniform3uEXT(int program, int location, IntBuffer value)

### glProgramUniform4uEXT

public static void glProgramUniform4uEXT(int program, int location, IntBuffer value)

### glNamedProgramLocalParameters4EXT

public static void glNamedProgramLocalParameters4EXT(int program, int target, int index, FloatBuffer params)

### glNamedProgramLocalParameterI4iEXT

public static void glNamedProgramLocalParameterI4iEXT(int program, int target, int index, int x, int y, int z, int w)

### glNamedProgramLocalParameterI4EXT

public static void glNamedProgramLocalParameterI4EXT(int program, int target, int index, IntBuffer params)

### glNamedProgramLocalParametersI4EXT

public static void glNamedProgramLocalParametersI4EXT(int program, int target, int index, IntBuffer params)

### glNamedProgramLocalParameterI4uiEXT

public static void glNamedProgramLocalParameterI4uiEXT(int program, int target, int index, int x, int y, int z, int w)

### glNamedProgramLocalParameterI4uEXT

public static void glNamedProgramLocalParameterI4uEXT(int program, int target, int index, IntBuffer params)

### glNamedProgramLocalParametersI4uEXT

public static void glNamedProgramLocalParametersI4uEXT(int program, int target, int index, IntBuffer params)

### glGetNamedProgramLocalParameterIEXT

public static void glGetNamedProgramLocalParameterIEXT(int program, int target, int index, IntBuffer params)

### glGetNamedProgramLocalParameterIuEXT

public static void glGetNamedProgramLocalParameterIuEXT(int program, int target, int index, IntBuffer params)

### glNamedRenderbufferStorageEXT

public static void glNamedRenderbufferStorageEXT(int renderbuffer, int internalformat, int width, int height)

### glGetNamedRenderbufferParameterEXT

public static void glGetNamedRenderbufferParameterEXT(int renderbuffer, int pname, IntBuffer params)

### glGetNamedRenderbufferParameterEXT

public static int glGetNamedRenderbufferParameterEXT(int renderbuffer, int pname)
Overloads glGetNamedRenderbufferParameterivEXT.

### glNamedRenderbufferStorageMultisampleEXT

public static void glNamedRenderbufferStorageMultisampleEXT(int renderbuffer, int samples, int internalformat, int width, int height)

### glNamedRenderbufferStorageMultisampleCoverageEXT

public static void glNamedRenderbufferStorageMultisampleCoverageEXT(int renderbuffer, int coverageSamples, int colorSamples, int internalformat, int width, int height)

### glCheckNamedFramebufferStatusEXT

public static int glCheckNamedFramebufferStatusEXT(int framebuffer, int target)

### glNamedFramebufferTexture1DEXT

public static void glNamedFramebufferTexture1DEXT(int framebuffer, int attachment, int textarget, int texture, int level)

### glNamedFramebufferTexture2DEXT

public static void glNamedFramebufferTexture2DEXT(int framebuffer, int attachment, int textarget, int texture, int level)

### glNamedFramebufferTexture3DEXT

public static void glNamedFramebufferTexture3DEXT(int framebuffer, int attachment, int textarget, int texture, int level, int zoffset)

### glNamedFramebufferRenderbufferEXT

public static void glNamedFramebufferRenderbufferEXT(int framebuffer, int attachment, int renderbuffertarget, int renderbuffer)

### glGetNamedFramebufferAttachmentParameterEXT

public static void glGetNamedFramebufferAttachmentParameterEXT(int framebuffer, int attachment, int pname, IntBuffer params)

### glGetNamedFramebufferAttachmentParameterEXT

public static int glGetNamedFramebufferAttachmentParameterEXT(int framebuffer, int attachment, int pname)
Overloads glGetNamedFramebufferAttachmentParameterivEXT.

### glGenerateTextureMipmapEXT

public static void glGenerateTextureMipmapEXT(int texture, int target)

### glGenerateMultiTexMipmapEXT

public static void glGenerateMultiTexMipmapEXT(int texunit, int target)

### glFramebufferDrawBufferEXT

public static void glFramebufferDrawBufferEXT(int framebuffer, int mode)

### glFramebufferDrawBuffersEXT

public static void glFramebufferDrawBuffersEXT(int framebuffer, IntBuffer bufs)

### glFramebufferReadBufferEXT

public static void glFramebufferReadBufferEXT(int framebuffer, int mode)

### glGetFramebufferParameterEXT

public static void glGetFramebufferParameterEXT(int framebuffer, int pname, IntBuffer param)

### glGetFramebufferParameterEXT

public static int glGetFramebufferParameterEXT(int framebuffer, int pname)
Overloads glGetFramebufferParameterivEXT.

### glNamedCopyBufferSubDataEXT

public static void glNamedCopyBufferSubDataEXT(int readBuffer, int writeBuffer, long readoffset, long writeoffset, long size)

### glNamedFramebufferTextureEXT

public static void glNamedFramebufferTextureEXT(int framebuffer, int attachment, int texture, int level)

### glNamedFramebufferTextureLayerEXT

public static void glNamedFramebufferTextureLayerEXT(int framebuffer, int attachment, int texture, int level, int layer)

### glNamedFramebufferTextureFaceEXT

public static void glNamedFramebufferTextureFaceEXT(int framebuffer, int attachment, int texture, int level, int face)

### glTextureRenderbufferEXT

public static void glTextureRenderbufferEXT(int texture, int target, int renderbuffer)

### glMultiTexRenderbufferEXT

public static void glMultiTexRenderbufferEXT(int texunit, int target, int renderbuffer)

### glVertexArrayVertexOffsetEXT

public static void glVertexArrayVertexOffsetEXT(int vaobj, int buffer, int size, int type, int stride, long offset)

### glVertexArrayColorOffsetEXT

public static void glVertexArrayColorOffsetEXT(int vaobj, int buffer, int size, int type, int stride, long offset)

### glVertexArrayEdgeFlagOffsetEXT

public static void glVertexArrayEdgeFlagOffsetEXT(int vaobj, int buffer, int stride, long offset)

### glVertexArrayIndexOffsetEXT

public static void glVertexArrayIndexOffsetEXT(int vaobj, int buffer, int type, int stride, long offset)

### glVertexArrayNormalOffsetEXT

public static void glVertexArrayNormalOffsetEXT(int vaobj, int buffer, int type, int stride, long offset)

### glVertexArrayTexCoordOffsetEXT

public static void glVertexArrayTexCoordOffsetEXT(int vaobj, int buffer, int size, int type, int stride, long offset)

### glVertexArrayMultiTexCoordOffsetEXT

public static void glVertexArrayMultiTexCoordOffsetEXT(int vaobj, int buffer, int texunit, int size, int type, int stride, long offset)

### glVertexArrayFogCoordOffsetEXT

public static void glVertexArrayFogCoordOffsetEXT(int vaobj, int buffer, int type, int stride, long offset)

### glVertexArraySecondaryColorOffsetEXT

public static void glVertexArraySecondaryColorOffsetEXT(int vaobj, int buffer, int size, int type, int stride, long offset)

### glVertexArrayVertexAttribOffsetEXT

public static void glVertexArrayVertexAttribOffsetEXT(int vaobj, int buffer, int index, int size, int type, boolean normalized, int stride, long offset)

### glVertexArrayVertexAttribIOffsetEXT

public static void glVertexArrayVertexAttribIOffsetEXT(int vaobj, int buffer, int index, int size, int type, int stride, long offset)

### glEnableVertexArrayEXT

public static void glEnableVertexArrayEXT(int vaobj, int array)

### glDisableVertexArrayEXT

public static void glDisableVertexArrayEXT(int vaobj, int array)

### glEnableVertexArrayAttribEXT

public static void glEnableVertexArrayAttribEXT(int vaobj, int index)

### glDisableVertexArrayAttribEXT

public static void glDisableVertexArrayAttribEXT(int vaobj, int index)

### glGetVertexArrayIntegerEXT

public static void glGetVertexArrayIntegerEXT(int vaobj, int pname, IntBuffer param)

### glGetVertexArrayIntegerEXT

public static int glGetVertexArrayIntegerEXT(int vaobj, int pname)
Overloads glGetVertexArrayIntegervEXT.

### glGetVertexArrayPointerEXT

public static ByteBuffer glGetVertexArrayPointerEXT(int vaobj, int pname, long result_size)

### glGetVertexArrayIntegerEXT

public static void glGetVertexArrayIntegerEXT(int vaobj, int index, int pname, IntBuffer param)

### glGetVertexArrayIntegeriEXT

public static int glGetVertexArrayIntegeriEXT(int vaobj, int index, int pname)
Overloads glGetVertexArrayIntegeri_vEXT.

### glGetVertexArrayPointerEXT

public static ByteBuffer glGetVertexArrayPointerEXT(int vaobj, int index, int pname, long result_size)

### glMapNamedBufferRangeEXT

public static ByteBuffer glMapNamedBufferRangeEXT(int buffer, long offset, long length, int access, ByteBuffer old_buffer)
glMapNamedBufferRangeEXT maps a GL buffer object range to a ByteBuffer. The old_buffer argument can be null, in which case a new ByteBuffer will be created, pointing to the returned memory. If old_buffer is non-null, it will be returned if it points to the same mapped memory and has the same capacity as the buffer object, otherwise a new ByteBuffer is created. That way, an application will normally use glMapNamedBufferRangeEXT like this:

ByteBuffer mapped_buffer; mapped_buffer = glMapNamedBufferRangeEXT(..., ..., ..., ..., null); ... // Another map on the same buffer mapped_buffer = glMapNamedBufferRangeEXT(..., ..., ..., ..., mapped_buffer);

Only ByteBuffers returned from this method are to be passed as the old_buffer argument. User-created ByteBuffers cannot be reused.

Parameters:
  `old_buffer` - A ByteBuffer. If this argument points to the same address and has the same capacity as the new mapping, it will be returned and no new buffer will be created.

Returns:
  A ByteBuffer representing the mapped buffer memory.

### glFlushMappedNamedBufferRangeEXT

public static void glFlushMappedNamedBufferRangeEXT(int buffer, long offset, long length)